Loading...
Searching...
No Matches
event.h File Reference

Event C interface. More...

`#include <l4/sys/compiler.h>`
`#include <l4/sys/types.h>`
`#include <l4/re/c/dataspace.h>`
`#include <l4/re/event.h>`
Include dependency graph for event.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | l4re_event_t
| Event structure used in buffer. More...

## Functions

long | l4re_event_get_buffer (const l4_cap_idx_t server, const l4re_ds_t ds) L4_NOTHROW
| Get an event signal buffer.
long | l4re_event_get_num_streams (const l4_cap_idx_t server) L4_NOTHROW
| Get number of streams.
long | l4re_event_get_stream_info (const l4_cap_idx_t server, int idx, l4re_event_stream_info_t *info) L4_NOTHROW
| Get information on a stream.
long | l4re_event_get_stream_info_for_id (const l4_cap_idx_t server, l4_umword_t stream_id, l4re_event_stream_info_t *info) L4_NOTHROW
| Get info for a stream given a stream id.
long | l4re_event_get_axis_info (const l4_cap_idx_t server, l4_umword_t id, unsigned naxes, unsigned const *axis, l4re_event_absinfo_t *info) L4_NOTHROW
| Get Axis information for a stream.

## Detailed Description

Event C interface.

Definition in file event.h.